diff tests/test-convert-git @ 5271:5c2ca6d6ab21

Make test-convert-git compatible with other git versions (tested with 1.4.4.3)
author Thomas Arendsen Hein <thomas@intevation.de>
date Fri, 31 Aug 2007 12:32:18 +0200
parents ceb6f242fb81
children 88e931f74e8b
line wrap: on
line diff
--- a/tests/test-convert-git
+++ b/tests/test-convert-git
@@ -7,12 +7,12 @@ echo "convert=" >> $HGRCPATH
 
 mkdir git-repo
 cd git-repo
-git init
+git init-db >/dev/null 2>/dev/null
 echo a > a
 git add a
-git commit -m t1 > /dev/null || echo "git commit error"
+git commit -m t1 >/dev/null 2>/dev/null || echo "git commit error"
 echo b >> a
-git commit -a -m t2 > /dev/null || echo "git commit error"
+git commit -a -m t2 >/dev/null || echo "git commit error"
 cd ..
 
 hg convert git-repo